/* SSL support.
   Copyright (C) 2000 Free Software Foundation, Inc.
   Contributed by Christian Fraenkel.

This file is part of GNU Wget.

GNU Wget is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GNU Wget is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Wget; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

In addition, as a special exception, the Free Software Foundation
gives permission to link the code of its release of Wget with the
OpenSSL project's "OpenSSL" library (or with modified versions of it
that use the same license as the "OpenSSL" library), and distribute
the linked executables.  You must obey the GNU General Public License
in all respects for all of the code used other than "OpenSSL".  If you
modify this file, you may extend this exception to your version of the
file, but you are not obligated to do so.  If you do not wish to do
so, delete this exception statement from your version.  */

#ifndef _GYACHI_SSL_H
#define _GYACHI_SSL_H

int ssl_init(void);
SSL *ssl_connect(int);
int openssl_pending(int fd, SSL *ctx);
int openssl_read(int fd, char *buf, int bufsize, SSL *ctx);
int openssl_write(int fd, char *buf, int bufsize, SSL *ctx);
int openssl_poll(int fd, double timeout, int wait_for, SSL *ctx);
void openssl_close(int fd, SSL *ctx);
int ssl_check_certificate(int, const char *, SSL *ctx);

#endif /* _GYACHI_SSL_H */
